import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { Domain } from '../../domain/model';
import { PageParams, Page } from 'app/commons/model';


@Injectable()
export class SensorService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByDomain(domain: Domain, pageParams: PageParams): Observable<Page> {
    return this.rpcClient.call('SensorService.readAllByDomain', domain, pageParams);
  }


}
